# Top-ups

All top-ups related paths

## List top-ups

 - [GET /account_groups/{account_group_id}/payments/topups](https://docs.upvest.co/api/release/upvest-investment-api.v1-1/top-ups/list_topups.md): Returns a list of top-ups.

## Trigger a top-up

 - [POST /payments/topups](https://docs.upvest.co/api/release/upvest-investment-api.v1-1/top-ups/create_topup.md): Triggers the creation of a top-up payment.

## Retrieve a top-up by ID

 - [GET /payments/topups/{topup_id}](https://docs.upvest.co/api/release/upvest-investment-api.v1-1/top-ups/retrieve_topup.md): Returns a top-up specified by its ID.

## Cancel a top-up by ID

 - [DELETE /payments/topups/{topup_id}](https://docs.upvest.co/api/release/upvest-investment-api.v1-1/top-ups/cancel_topup.md): Cancels a top-up specified by its ID. It is only possible to cancel a top-up if it has the status CONFIRMED.

## Top-up events

 - [POST Top-up events](https://docs.upvest.co/api/release/upvest-investment-api.v1-1/top-ups/topup_event.md): Top-up events

